#!/bin/bash
# Copyright Mandriva 2009, 2010 all rights reserved
if [ "`id -u`" != "0" ]; then
	echo "Error, must be root user"
	exit 1
fi

. '../functions.sh'

oldifs=$IFS ; IFS=$'\n' ; os_info=(`../os_info.sh`) ; IFS=$oldifs 
dist=${os_info[2]}

set_locale_settings


if [ "$dist" = "CentOS" ] || [ "$dist" = "ROSA Enterprise Linux Server" ]; then
    backup /etc/cups/cupsd.conf
    cp -f templates/cupsd.conf.tpl /etc/cups/cupsd.conf
    logfile=/var/log/cups/error_log
else
    logfile=/var/log/syslog
fi

do_service_action_critically cups restart $logfile

chkconfig cups on

_T 8 $"%s is running" "CUPS"
_T 8 $"You can add new printers from local %s web interface: %s" "CUPS" "http://@HOSTNAME@:631/"

exit 0
