#!/bin/bash
# Copyright Mandriva 2009, 2010 all rights reserved

if [ "`id -u`" != "0" ]; then
	echo "Error, must be root user"
	exit 1
fi

. '../functions.sh'

oldifs=$IFS ; IFS=$'\n' ; os_info=(`../os_info.sh`) ; IFS=$oldifs 
dist=${os_info[2]}

set_locale_settings

network_ini_template="templates/network.ini.tpl"
dchpd_conf_template="templates/dhcpd.conf.tpl"

mdssuffix=`get_ldap_base_dn`
mdspass=`get_ldap_admin_password`
mdspass_e=`escape_sed $mdspass`

hostname=`hostname`

if [ "$dist" = "CentOS" ] || [ "$dist" = "ROSA Enterprise Linux Server" ]; then
    dhcpd_conf=/etc/dhcp/dhcpd.conf
    named_pid=/var/run/named/named.pid
    dhcpd_pid=/var/run/dhcpd.pid
    dhcpd_leases=/var/lib/dhcpd/dhcpd.leases
    
else
    dhcpd_conf=/etc/dhcpd.conf
    named_pid=/var/lib/named/var/run/named.pid
    dhcpd_pid=/var/run/dhcpd/dhcpd.pid
    dhcpd_leases=/var/lib/dhcp/dhcpd.leases
    ln -sf /var/lib/named/var/named/ /var/named
fi



###### now /etc/dhcpd.conf
backup $dhcpd_conf
cat $dchpd_conf_template > $dhcpd_conf
sed -i "s/\@SUFFIX\@/$mdssuffix/" $dhcpd_conf
sed -i "s/\@PASSWORD\@/$mdspass_e/" $dhcpd_conf
sed -i "s/\@HOSTNAME\@/$hostname/" $dhcpd_conf
chmod 640 $dhcpd_conf

_T 0 $"%s has been configured" RDS


###### now /etc/mmc/plugin/network.ini
backup /etc/mmc/plugins/network.ini
cat $network_ini_template > /etc/mmc/plugins/network.ini
sed -i "s/\@SUFFIX\@/$mdssuffix/" /etc/mmc/plugins/network.ini
sed -i "s|\@NAMED_PID\@|$named_pid|" /etc/mmc/plugins/network.ini
sed -i "s|\@DHCPD_PID\@|$dhcpd_pid|" /etc/mmc/plugins/network.ini
sed -i "s|\@DHCPD_LEASES\@|$dhcpd_leases|" /etc/mmc/plugins/network.ini

_T 0 $"%s server has been configured" DHCP


do_service_action_critically mmc-agent restart /var/log/mmc/mmc-agent.log

chkconfig dhcpd on

_T 8 $"%s module has been activated in the %s interface" DHCP RDS
_T 7 $"You can configure your %s settings from the %s interface: %s" DHCP RDS http://@HOSTNAME@/mmc/

exit 0
