#!/bin/bash
#script checks whether realm is configured or not

script_dir=`cd -P "$( dirname "${BASH_SOURCE[0]}" )" && pwd `
func_dir=`dirname $script_dir`

. "$func_dir/functions.sh"

#set_locale_settings

suffix=`get_ldap_base_dn`
kerberos_container=`ldapsearch -x -LLL -b "ou=kerberos,$suffix" 2>/dev/null`
if [ "$kerberos_container" ]; then
    #find realm name in krb5.conf (default_realm in libdefaults section)
    realm=`cat /etc/krb5.conf|grep "default_realm"|sed "s/ *//g;s/default_realm=//g"`

    #find the realm container
    realm_container=`ldapsearch -x -LLL -b "cn=$realm,ou=kerberos,$suffix" 2>/dev/null`
    if [ "$realm_container" ];then
	exit 1
    fi
fi
exit 0
