# -*- coding: UTF-8 -*-
#

#
# $Id$
#
# This file is part of ROSA Server Setup
#
# RSS is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# RSS is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with RSS; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301, USA.

import os
import re
from subprocess import Popen, PIPE
from IPy import IP
from mss.agent.lib.utils import getDist


def get_config_info():
    return ('setup-mail.sh', ['smtpd_myhostname', 'smtpd_mynetworks', 'popimap_proto'])

def get_current_config():

    # get postfix config
    p = Popen(['/usr/sbin/postconf', '-h', 'myhostname'], stdout=PIPE)
    smtpd_myhostname = p.communicate()[0].strip()

    p = Popen(['/usr/sbin/postconf', '-h', 'mynetworks'], stdout=PIPE)
    networks = p.communicate()[0].strip().split(',')
    smtpd_mynetworks = []
    for net in networks:
        tmp = IP(net).strNormal(1).split('/')
        if len(tmp) > 1:
            ip = tmp[0]
            mask = tmp[1]
            smtpd_mynetworks.append((ip, mask))

    #print networks
    dist = getDist()
    dovecot_conf='/etc/dovecot.conf'
    if (dist == "ROSA Enterprise Linux Server" or dist == "CentOS"):
	dovecot_conf='/etc/dovecot/dovecot.conf'

    
    # get dovecot config
    h = open(dovecot_conf)
    f = h.read()
    h.close()

    popimap_proto = re.search('^protocols[\s]*=[\s]*(.*)$', f, re.MULTILINE)
    if popimap_proto:
        popimap_proto = popimap_proto.group(1).strip()
    else:
        popimap_proto = ""

    if not(dist == "ROSA Enterprise Linux Server" or dist == "CentOS"):
	imap=""
	pop3=""
	if "imap" in popimap_proto:
	    imap = "imap"
	if "pop3" in popimap_proto:
	    pop3= "pop3"
	
	popimap_proto= ("%s %s" % (imap, pop3)).strip()

    return {'smtpd_myhostname': smtpd_myhostname, 
        'smtpd_mynetworks': smtpd_mynetworks, 'popimap_proto': popimap_proto}

#print get_current_config()