#!/usr/bin/env python

import os
import stat
import sys
import traceback
import shutil
import re

if __name__ != "__main__": sys.exit(0)

base_ini = "/etc/mmc/plugins/base.ini"
smb_ini = "/etc/samba/smb.conf"

if not os.path.exists(base_ini) or not os.path.exists(smb_ini): sys.exit(0)

smb_bak_ini = '/tmp/smb.conf.' + str(os.getpid())

try:
    base_file = open(base_ini, 'r')
    smb_file = open(smb_ini, 'r')
    smb_bak_file = open(smb_bak_ini, 'wb+')
except Exception, e:
    traceback.print_exc()
    sys.exit(1)

new_line = re.compile("\r|\n")

destpath = None
section = False

for line in base_file:
    line = new_line.sub('', line)

    if not section:
        if line.find('[backup-tools]') != -1: section = True
    else:
        value = re.match('\s*destpath\s*=\s*(.*)\s*', line)
        if value:
            destpath = value.group(1)
            break

if destpath:
    section = False
    value = False

    for line in smb_file:
        line = new_line.sub('', line)

        if not section:
            if line.find('[archives]') != -1: section = True
        elif not value:
            path = re.match('(\s*path\s*=\s*)(.*)(\s*)', line)
            if path:
                line = path.group(1) + destpath + path.group(3)
                value = True

        smb_bak_file.write(line + '\n')

base_file.close()
smb_file.close()
smb_bak_file.close()

shutil.copy(smb_bak_ini, smb_ini)
os.unlink(smb_bak_ini)

os.chmod(smb_ini, stat.S_IRUSR | stat.S_IWUSR)
os.chown(smb_ini, 0, 0)
