# -*- coding: UTF-8 -*-
#

#
# $Id$
#
# This file is part of ROSA Server Setup
#
# RSS is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# RSS is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with RSS; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301, USA.

import re

#anonymous func that do nothing: "_" prefix for extraction messages to translate by xgettext
_ = lambda str: str


def get_config_info():
    return ("setup-replication.sh", ["server_id", "replicator_password"])

def get_current_config():
    return {"server_id": get_server_id()}
    

def get_server_id():
    config_file = "/etc/openldap/slapd.d/cn=config.ldif"
    server_id = "0"
    
    try:
	fd = open(config_file)
    except IOError:
        return server_id
    
    try:    
	data = fd.read()
    finally:
	fd.close()

    res = re.search('olcServerID[\s]*:[\s]*(.*)', data)
    if res:
	server_id = res.group(1)
    return server_id
    

def check_server_id(id):
    if int(id) > 0 and int(id) < 4095:
	return None
    return [_("Incorrect server identifier")]
