#!/bin/bash
# Copyright Mandriva 2009, 2010 all rights reserved

if [ "`id -u`" != "0" ]; then
	echo "Error, must be root user"
	exit 1
fi

. '../functions.sh'
set_locale_settings

rootpwd=$1

# mysql setup
mysql_prepare
mysql_check_root_password "$rootpwd"
if [ $? -ne 0 ]; then
    _T 2 $"Incorrect %s %s password" MySQL root
    mysql_cleanup
    exit 1
fi
            

roundcube_db_conf_template=templates/db.inc.php.tpl
roundcube_main_conf_template=templates/main.inc.php.tpl
roundcube_conf=templates/roundcubemail.conf

# copy the db config
backup /etc/roundcubemail/db.inc.php
cat $roundcube_db_conf_template > /etc/roundcubemail/db.inc.php

# copy main config
backup /etc/roundcubemail/main.inc.php
cat $roundcube_main_conf_template > /etc/roundcubemail/main.inc.php

mysql -uroot -p$rootpwd < templates/init.db.sql.tpl
mysql -uroot -p$rootpwd roundcubemail < templates/mysql.initial.sql.tpl

# set correct permissions
chown -R apache.apache /var/log/roundcubemail/

#copy apache configuration
cat $roundcube_conf > /etc/httpd/conf.d/roundcubemail.conf

do_service_action_critically httpd restart /var/log/messages

_T 8 $"Webmail %s has been activated on your server" RoundCube
_T 8 $"You can access the webmail interface at %s" http://@HOSTNAME@/roundcubemail/
